User Tools

Site Tools

Translations of this page:

system:mysql-mysqli-update

Migrating from mysql.inc to mysqli.inc

From version 5.5 of PHP, the mysql_ functions have been deprecated. http://php.net/manual/en/migration55.deprecated.php

In future versions these functions will be removed and older versions of phpList will stop working.

To avoid this from happening, you will need to change your config file and find the line:

$database_module = "mysql.inc";

and change it to

$database_module = "mysqli.inc";

The change is very small, so if you do not see it, it is a lower-case letter i before the full stop.

If you do not have this line in your config file, then you do not need to do anything, and you can upgrade to the latest version of phpList.

This change applies to phpList version 3.0.7 and up. If you run a version prior to 3.0.7 you will need to upgrade to the latest version of phpList first.

system/mysql-mysqli-update.txt · Last modified: 2014/07/16 09:28 by phplist

Resources
Contact Us

e: info@phplist.com

Boring Bit

phpList is a registered limited company

UK Company No. 07582966

VAT Registration 122 0788 37

© phpList 2016